# Uses of Class
org.h2gis.functions.io.gpx.model.GPXLine

Packages that use GPXLine
Package
Description
org.h2gis.functions.io.gpx.model

## Uses of GPXLine in org.h2gis.functions.io.gpx.model

Methods in org.h2gis.functions.io.gpx.model that return GPXLine
Modifier and Type
Method
Description
`GPXLine`
AbstractGpxParser.`getCurrentLine()`
Gives the line which is being parsed.
`GPXLine`
AbstractGpxParser.`getCurrentSegment()`
Gives the segment which is being parsed.
Methods in org.h2gis.functions.io.gpx.model with parameters of type GPXLine
Modifier and Type
Method
Description
`void`
AbstractGpxParser.`setCurrentLine(GPXLine currentLine)`
Set the line which will be parsed.
`void`
AbstractGpxParser.`setCurrentSegment(GPXLine currentSegment)`
Set the segment which will be parsed.